Page 1 of 1

Opening Prior Encounters without old version

Posted: Sun Feb 23, 2014 1:03 am
by TRIAD4Evr
I need some help- I have some encounters I want to use in the new 1.8 beta but I don't know which older version they were created in- is there a way to remove the map or whatever it is that causes the script error when I try to open it without opening it in an old version, changing to a generic map, saving it, and reloading it? I really don't want to remake this encounter if I can avoid it. Having to manually put the map back in is bad enough.

Re: Opening Prior Encounters without old version

Posted: Sun Feb 23, 2014 8:33 pm
by Omnidon
The absence of a graphic should not cause a script error. If a graphic is missing it will simply fail to load it.

BRPG automatically updates encounters to the latest version.

If you are getting errors, it means either your encounter is corrupted or the version you created it in is so old that automatic updating of the encounter format is not supported (that would be like 7+ years ago...)

If the encounter is very valuable to you, then I suggest sending the encounter file and any related assets to heruca (or posting them here if it's not confidential) so that he can take a look at them.

Re: Opening Prior Encounters without old version

Posted: Mon Feb 24, 2014 2:10 am
by heruca
If you email me the Encounter file in question, I'll gladly take a look.

Missing graphics should simply cause a placeholder token to appear instead. And a missing map graphic would cause nothing to show, but you can swap in some other map to get units to reappear.

Open the Encounter file in a text editor to find out the name of the map graphic that you had used (it's a text string that appears very early on in the file contents). Then copy that graphic (assuming you still have it somewhere) to the new installation's "Maps" folder, and load that map up in BRPG.

Re: Opening Prior Encounters without old version

Posted: Mon Feb 24, 2014 2:12 am
by heruca
Also, read this forum thread for tips on getting old Encounters into new installations of BRPG.

Re: Opening Prior Encounters without old version

Posted: Mon Feb 24, 2014 2:50 am
by TRIAD4Evr
Yeah, I read the previous suggestion but since I'm not sure what version I created the Encounter under, I thought I'd ask. Plus I wanted to verify that the script error has to do with the map (which it apparently doesn't, so that's also informative). I will send you the one I'd really like to save. The rest I can survive without. Would like to know what the script error is from because I have a number of encounters where this is an issue. Always assumed it was the map. Thanks again! Will send it to you shortly, Heruca! I will not be playing the campaign again until a couple weeks from now, so I have some time to work with.

Re: Opening Prior Encounters without old version

Posted: Mon Feb 24, 2014 2:55 am
by TRIAD4Evr
Also, should note that the encounter shouldn't be more than a couple of versions ago, maybe three. So that's clearly not it either!

Re: Opening Prior Encounters without old version

Posted: Mon Feb 24, 2014 4:44 pm
by heruca
TRIAD4Evr wrote:Would like to know what the script error is from because I have a number of encounters where this is an issue. Always assumed it was the map.
I had no errors when loading your Encounter.

I believe the issue may lie with your Turn Sequencer settings file (which would also explain why the problem you are having spans various Encounters). Could you email me that as well for testing? It's is located in BRPG's Preferences folder.

Re: Opening Prior Encounters without old version

Posted: Mon Feb 24, 2014 5:53 pm
by TRIAD4Evr
I wondered about that, as I have two different turn Sequencer routines. I will attach them when I get home tonight.

Re: Opening Prior Encounters without old version

Posted: Wed Apr 02, 2014 12:31 am
by TRIAD4Evr
Anything new on this? I have made a new turn sequencer setting and deleted the old one, so I have a fairly viable workaround. Just thought I'd see if there'd been an update.

Re: Opening Prior Encounters without old version

Posted: Wed Apr 02, 2014 12:47 am
by heruca
Just what I already mentioned via email, that I found a bug and have fixed it for BRPG v1.8c.

Re: Opening Prior Encounters without old version

Posted: Wed Apr 02, 2014 12:50 am
by TRIAD4Evr
Okay, wasn't sure if there was more to be had! Thanks much!

Re: Opening Prior Encounters without old version

Posted: Thu May 08, 2014 12:37 am
by TRIAD4Evr
Seems to be mostly working. There's still a version of the encounter I cannot get to load without a script error. But I had an older version that I updated and all seems fine using that version.